Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.javadoc
Class Groovydoc

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask
                      org.gradle.api.tasks.javadoc.Groovydoc

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable

    public class Groovydoc

extends SourceTask

This task generates html api doc for Groovy classes. It uses Groovy's Groovydoc tool for this. Please note that the Groovydoc tool has some severe limitations at the moment (for example no doc for properties comments). The version of the Groovydoc that is used, is the one from the Groovy defined in the build script. Please note also, that the Groovydoc tool prints to System.out for many of its statements and does circumvents our logging currently.

Field Summary

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`Groovydoc()`

Method Summary
`protected void` | `generate()`
`org.gradle.api.tasks.javadoc.AntGroovydoc` | `getAntGroovydoc()`
`java.io.File` | `getDestinationDir()` Returns the directory to generate the documentation into.
`java.lang.String` | `getDocTitle()` Returns the title for the package index(first) page.
`java.lang.String` | `getFooter()` Returns the html footer for each page.
`FileCollection` | `getGroovyClasspath()` Returns the classpath to use to locate classes referenced by the documented source.
`java.lang.String` | `getHeader()` Returns the html header for each page.
`java.io.File` | `getOverview()` Returns a html file to be used for overview documentation.
`java.lang.String` | `getWindowTitle()` Returns the browser window title for the documentation.
`boolean` | `isIncludePrivate()` Returns whether to include all classes and members (i.e.
`boolean` | `isUse()` Returns whether to create class and package usage pages.
`void` | `setAntGroovydoc(org.gradle.api.tasks.javadoc.AntGroovydoc antGroovydoc)`
`void` | `setDestinationDir(java.io.File destinationDir)` Sets the directory to generate the documentation into.
`void` | `setDocTitle(java.lang.String docTitle)` Set's title for the package index(first) page (optional).
`void` | `setFooter(java.lang.String footer)` Set's footer text for each page (optional).
`void` | `setGroovyClasspath(FileCollection groovyClasspath)` Sets the classpath to use to locate classes referenced by the documented source.
`void` | `setHeader(java.lang.String header)` Set's header text for each page (optional).
`void` | `setIncludePrivate(boolean includePrivate)` Set's whether to include all classes and members (i.e.
`void` | `setOverview(java.io.File overview)` Set's a html file to be used for overview documentation (optional).
`void` | `setUse(boolean use)` Set's whether to create class and package usage pages.
`void` | `setWindowTitle(java.lang.String windowTitle)` Set's the browser window title for the documentation.

Methods inherited from class org.gradle.api.tasks.SourceTask
`exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getOutput, getPath, getProject, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, injectIntoNextInstance, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setOutputHandler, setProject, setProperty, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

Constructor Detail

### Groovydoc

    public Groovydoc()

Method Detail

### generate

    protected void generate()

### getDestinationDir

    public java.io.File getDestinationDir()

  Returns the directory to generate the documentation into.

  Returns:
    The directory.

### setDestinationDir

    public void setDestinationDir(java.io.File destinationDir)

  Sets the directory to generate the documentation into.

### getGroovyClasspath

    public FileCollection getGroovyClasspath()

  Returns the classpath to use to locate classes referenced by the documented source.

  Returns:
    The classpath.

### setGroovyClasspath

    public void setGroovyClasspath(FileCollection groovyClasspath)

  Sets the classpath to use to locate classes referenced by the documented source.

### getAntGroovydoc

    public org.gradle.api.tasks.javadoc.AntGroovydoc getAntGroovydoc()

### setAntGroovydoc

    public void setAntGroovydoc(org.gradle.api.tasks.javadoc.AntGroovydoc antGroovydoc)

### isUse

    public boolean isUse()

  Returns whether to create class and package usage pages.

### setUse

    public void setUse(boolean use)

  Set's whether to create class and package usage pages. Defaults to false.

  Parameters:
    `use` -

### getWindowTitle

    public java.lang.String getWindowTitle()

  Returns the browser window title for the documentation.

### setWindowTitle

    public void setWindowTitle(java.lang.String windowTitle)

  Set's the browser window title for the documentation.

  Parameters:
    `windowTitle` - A text for the windows title

### getDocTitle

    public java.lang.String getDocTitle()

  Returns the title for the package index(first) page. Returns null if not set.

### setDocTitle

    public void setDocTitle(java.lang.String docTitle)

  Set's title for the package index(first) page (optional).

  Parameters:
    `docTitle` - the docTitle as html-code

### getHeader

    public java.lang.String getHeader()

  Returns the html header for each page. Returns null if not set.

### setHeader

    public void setHeader(java.lang.String header)

  Set's header text for each page (optional).

  Parameters:
    `header` - the header as html-code

### getFooter

    public java.lang.String getFooter()

  Returns the html footer for each page. Returns null if not set.

### setFooter

    public void setFooter(java.lang.String footer)

  Set's footer text for each page (optional).

  Parameters:
    `footer` - the footer as html-code

### getOverview

    public java.io.File getOverview()

  Returns a html file to be used for overview documentation. Returns null if such a file is not set.

### setOverview

    public void setOverview(java.io.File overview)

  Set's a html file to be used for overview documentation (optional).

  Parameters:
    `overview` -

### isIncludePrivate

    public boolean isIncludePrivate()

  Returns whether to include all classes and members (i.e. including private ones).

### setIncludePrivate

    public void setIncludePrivate(boolean includePrivate)

  Set's whether to include all classes and members (i.e. including private ones) if set to true. Defaults to false.

  Parameters:
    `includePrivate` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD